import {IconWarningCircle} from "@/components/icons/index.tsx";
import React from "react";
import {useTranslation} from "react-i18next";

export function ModalWarningIcon({size=24}:{size?:number}) {
	return <IconWarningCircle
		style={{fontSize: size, color: 'rgba(250, 173, 20, 1)'}}/>
}
export function ModalWarningTitle(){
	const {t} = useTranslation()
	return <span className="text-base">{t('modal.warning')}</span>
}
const ModalWarning = {
	Icon: ModalWarningIcon,
	Title: ModalWarningTitle
}
export default ModalWarning