import React from "react";
import {Popconfirm} from "antd";
import {useTranslation} from "react-i18next";
import ModalWarning from "@/components/icons/ModalWarning.tsx";

export function DeleteItemPopoverConfirm({children,description,onConfirm}: {
	onConfirm: ((e?: React.MouseEvent<HTMLElement>) => void) | undefined
	description?: React.ReactNode;
	children?: React.ReactNode;
}){
	const {t} = useTranslation()
	return <Popconfirm
		rootClassName={'popconfirm-main'}
		placement={'left'}
		arrow={false}
		icon={<ModalWarning.Icon />}
		title={<ModalWarning.Title />}
		description={<div dangerouslySetInnerHTML={{__html:description || t('modal.delete_item_confirm')}}></div>}
		onConfirm={onConfirm}
	>{children}</Popconfirm>
}
