import {post} from "@/service/request.ts";

type OrderInfoData = DataList<OrderInfo> & {
	remaining_duration: string | number;
}

export function getList(params: OrderSearchParam) {
	return post<OrderInfoData>('/order/list', params)
}


export async function getRemainingDuration() {
	const result = await getList({pagination: {page: 1, limit: 1}})
	return Number(result.remaining_duration)
}